<?php

namespace App\Enums;

enum PaymentStatus: string
{
    case Unpaid  = 'unpaid';
    case Partial = 'partial';
    case Paid    = 'paid';

    public function label(): string
    {
        return match($this) {
            self::Unpaid  => 'Pendiente',
            self::Partial => 'Parcial',
            self::Paid    => 'Pagado',
        };
    }

    public function color(): string
    {
        return match($this) {
            self::Unpaid  => 'danger',
            self::Partial => 'warning',
            self::Paid    => 'success',
        };
    }
}
